﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfTestComboBox
{
    public class ScoreListViewModel : INotifyPropertyChanged
    {
        public ScoreListView View { get; set; }

        public List<Student> StudentList { get; set; }

        private Student selectedStudent;
        public Student SelectedStudent 
        {
            get
            {
                return this.selectedStudent;
            }
            set
            {
                if (this.selectedStudent != value)
                {
                    this.selectedStudent = value;
                    OnPropertyChanged("SelectedStudent");
                }
            }
        }

        public ScoreListViewModel()
        {
            this.StudentList = StudentService.RetrieveStudentList();
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = this.PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }
}
